Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPInterfaceMethodRef

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPRef
org.apache.commons.compress.harmony.unpack200.bytecode.CPInterfaceMethodRef

public class CPInterfaceMethodRef extends CPRef
Interface method reference constant pool entry.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

  `cachedToString, nameAndType`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPInterfaceMethodRef(CPClass className, CPNameAndType descriptor, int globalIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `hashCode()`
  `int`
  `invokeInterfaceCount()`
  This method answers the value this method will use for an invokeinterface call.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

  `equals, getNestedClassFileEntries, resolve, toString, writeBody`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPInterfaceMethodRef

    public CPInterfaceMethodRef(CPClass className, CPNameAndType descriptor, int globalIndex)

- ## Method Details

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ConstantPoolEntry`

  - ### invokeInterfaceCount

    public int invokeInterfaceCount()
    This method answers the value this method will use for an invokeinterface call. This is equal to 1 + the count of all the args, where longs and doubles count for 2 and all others count for 1.
    Returns:
      integer count